import type { FormItemProps } from '../../form';
export declare type Obj = {
    [k: keyof any]: unknown;
};
export declare type Justify = 'left' | 'center' | 'right';
export declare type FormExpose = 'validate' | 'validateField' | 'resetFields' | 'scrollToField' | 'clearValidate';
declare type Itemtype = 'custom' | 'input' | 'date-picker' | 'switch' | 'cascader' | 'cascader-panel' | 'checkbox' | 'checkbox-group' | 'checkbox-button' | 'input-number' | 'radio-group' | 'radio' | 'radio-button' | 'select' | 'select-v2' | 'time-select' | 'color-picker';
interface MgFormItem extends Pick<FormItemProps, 'label' | 'prop'> {
    itemType: Itemtype;
    slotKey?: string | 'action';
    modelKey?: string;
    key?: keyof any;
    span?: number;
    offset?: number;
    justify?: Justify;
    actionFixedRight?: boolean;
    labelName?: string;
    labelValue?: string;
    formItemProps: Omit<FormItemProps, 'label' | 'prop'>;
    options: Array<{
        key?: string;
        labelName?: string;
        labelValue?: string;
        itemType?: Itemtype;
        [k: keyof any]: any;
    }>;
}
declare const _default: {
    columns: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => MgFormItem[]) | (() => MgFormItem[]) | ((new (...args: any[]) => MgFormItem[]) | (() => MgFormItem[]))[], unknown, unknown, () => never[], boolean>;
    modelData: {
        readonly type: import("vue").PropType<Record<string, any>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    gutter: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
};
export default _default;
export type { MgFormItem };
